IvyArtifact (Gradle API 7.6.4)

Package org.gradle.api.publish.ivy

## Interface IvyArtifact

- All Superinterfaces:
    `Buildable`, `PublicationArtifact`

      public interface IvyArtifact
      extends PublicationArtifact

  An artifact published as part of a `IvyPublication`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getClassifier()` | The classifier used to publish the artifact file.
    `java.lang.String` | `getConf()` | A comma separated list of public configurations in which this artifact is published.
    `java.lang.String` | `getExtension()` | The extension used to publish the artifact file, never `null`.
    `java.lang.String` | `getName()` | The name used to publish the artifact file, never `null`.
    `java.lang.String` | `getType()` | The type used to publish the artifact file, never `null`.
    `void` | `setClassifier​(java.lang.String classifier)` | Sets the classifier used to publish the artifact file.
    `void` | `setConf​(java.lang.String conf)` | Sets a comma separated list of public configurations in which this artifact is published.
    `void` | `setExtension​(java.lang.String extension)` | Sets the extension used to publish the artifact file.
    `void` | `setName​(java.lang.String name)` | Sets the name used to publish the artifact file.
    `void` | `setType​(java.lang.String type)` | Sets the type used to publish the artifact file.

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

    - ### Methods inherited from interface org.gradle.api.publish.PublicationArtifact

      `builtBy, getFile`

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      The name used to publish the artifact file, never `null`. Defaults to the name of the module that this artifact belongs to.

    - #### setName

          void setName​(java.lang.String name)

      Sets the name used to publish the artifact file.
      Parameters:
        `name` - The name.

    - #### getType

          java.lang.String getType()

      The type used to publish the artifact file, never `null`.

    - #### setType

          void setType​(java.lang.String type)

      Sets the type used to publish the artifact file.
      Parameters:
        `type` - The type.

    - #### getExtension

          java.lang.String getExtension()

      The extension used to publish the artifact file, never `null`. For an artifact without an extension, this value will be an empty String.

    - #### setExtension

          void setExtension​(java.lang.String extension)

      Sets the extension used to publish the artifact file.
      Parameters:
        `extension` - The extension.

    - #### getClassifier

          @Nullable
          java.lang.String getClassifier()

      The classifier used to publish the artifact file. A `null` value (the default) indicates that this artifact will be published without a classifier.

    - #### setClassifier

          void setClassifier​(@Nullable
                             java.lang.String classifier)

      Sets the classifier used to publish the artifact file.
      Parameters:
        `classifier` - The classifier.

    - #### getConf

          @Nullable
          java.lang.String getConf()

      A comma separated list of public configurations in which this artifact is published. The '*' wildcard is used to designate that the artifact is published in all public configurations. A `null` value (the default) indicates that this artifact will be published without a conf attribute.
      Returns:
        The value of 'conf' for this artifact.

    - #### setConf

          void setConf​(@Nullable
                       java.lang.String conf)

      Sets a comma separated list of public configurations in which this artifact is published. The '*' wildcard can be used to designate that the artifact is published in all public configurations.
      Parameters:
        `conf` - The value of 'conf' for this artifact.